<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.20"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>react-native-bluetooth-serial: com.rusel.RCTBluetoothSerial.RCTBluetoothSerialModule Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
<link href="../../doxygen-style.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="../../dog.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">react-native-bluetooth-serial
   &#160;<span id="projectnumber">1.0.0</span>
   </div>
   <div id="projectbrief">Port of https://github.com/don/BluetoothSerial for react native</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.20 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "../../search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><b>com</b></li><li class="navelem"><b>rusel</b></li><li class="navelem"><a class="el" href="../../db/d7f/namespacecom_1_1rusel_1_1RCTBluetoothSerial.html">RCTBluetoothSerial</a></li><li class="navelem"><a class="el" href="../../de/d49/classcom_1_1rusel_1_1RCTBluetoothSerial_1_1RCTBluetoothSerialModule.html">RCTBluetoothSerialModule</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="../../d8/d5a/classcom_1_1rusel_1_1RCTBluetoothSerial_1_1RCTBluetoothSerialModule-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">com.rusel.RCTBluetoothSerial.RCTBluetoothSerialModule Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for com.rusel.RCTBluetoothSerial.RCTBluetoothSerialModule:</div>
<div class="dyncontent">
 <div class="center">
  <img src="../../de/d49/classcom_1_1rusel_1_1RCTBluetoothSerial_1_1RCTBluetoothSerialModule.png" alt=""/>
 </div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a7b6c82f140fb3bc1cafd38c660f1f1b6"><td class="memItemLeft" align="right" valign="top"><a id="a7b6c82f140fb3bc1cafd38c660f1f1b6"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>RCTBluetoothSerialModule</b> (ReactApplicationContext reactContext)</td></tr>
<tr class="separator:a7b6c82f140fb3bc1cafd38c660f1f1b6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a61937c124ffd449679d230828669688a"><td class="memItemLeft" align="right" valign="top"><a id="a61937c124ffd449679d230828669688a"></a>
String&#160;</td><td class="memItemRight" valign="bottom"><b>getName</b> ()</td></tr>
<tr class="separator:a61937c124ffd449679d230828669688a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aeb52e486ef9992d603ae2cd3930b9246"><td class="memItemLeft" align="right" valign="top"><a id="aeb52e486ef9992d603ae2cd3930b9246"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>onActivityResult</b> (Activity activity, int requestCode, int resultCode, Intent intent)</td></tr>
<tr class="separator:aeb52e486ef9992d603ae2cd3930b9246"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af896b63b16df97f66acf5656834c5e77"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d49/classcom_1_1rusel_1_1RCTBluetoothSerial_1_1RCTBluetoothSerialModule.html#af896b63b16df97f66acf5656834c5e77">onNewIntent</a> (Intent intent)</td></tr>
<tr class="separator:af896b63b16df97f66acf5656834c5e77"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac8c1df0a12fed084c4c3bb5edae6e0a7"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d49/classcom_1_1rusel_1_1RCTBluetoothSerial_1_1RCTBluetoothSerialModule.html#ac8c1df0a12fed084c4c3bb5edae6e0a7">onHostResume</a> ()</td></tr>
<tr class="separator:ac8c1df0a12fed084c4c3bb5edae6e0a7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8ad6f2ef7d1a67ace148270cb288b9f2"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d49/classcom_1_1rusel_1_1RCTBluetoothSerial_1_1RCTBluetoothSerialModule.html#a8ad6f2ef7d1a67ace148270cb288b9f2">onHostPause</a> ()</td></tr>
<tr class="separator:a8ad6f2ef7d1a67ace148270cb288b9f2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5b28a1aeb26620357cdb751fdd3f5058"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d49/classcom_1_1rusel_1_1RCTBluetoothSerial_1_1RCTBluetoothSerialModule.html#a5b28a1aeb26620357cdb751fdd3f5058">onHostDestroy</a> ()</td></tr>
<tr class="separator:a5b28a1aeb26620357cdb751fdd3f5058"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae5cbce2a87d9596e75df87aaccff8370"><td class="memItemLeft" align="right" valign="top"><a id="ae5cbce2a87d9596e75df87aaccff8370"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>onCatalystInstanceDestroy</b> ()</td></tr>
<tr class="separator:ae5cbce2a87d9596e75df87aaccff8370"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0c6bdd5f1224881e9d3c1ed2a2f8ca4b"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d49/classcom_1_1rusel_1_1RCTBluetoothSerial_1_1RCTBluetoothSerialModule.html#a0c6bdd5f1224881e9d3c1ed2a2f8ca4b">requestEnable</a> (Promise promise)</td></tr>
<tr class="separator:a0c6bdd5f1224881e9d3c1ed2a2f8ca4b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2564793fb3acd5aa2016aecaa91a4a66"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d49/classcom_1_1rusel_1_1RCTBluetoothSerial_1_1RCTBluetoothSerialModule.html#a2564793fb3acd5aa2016aecaa91a4a66">enable</a> (Promise promise)</td></tr>
<tr class="separator:a2564793fb3acd5aa2016aecaa91a4a66"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a39ca1151a38d1131c552b7e047a60bd6"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d49/classcom_1_1rusel_1_1RCTBluetoothSerial_1_1RCTBluetoothSerialModule.html#a39ca1151a38d1131c552b7e047a60bd6">disable</a> (Promise promise)</td></tr>
<tr class="separator:a39ca1151a38d1131c552b7e047a60bd6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac55866c1f4b356915bb5625946af6a21"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d49/classcom_1_1rusel_1_1RCTBluetoothSerial_1_1RCTBluetoothSerialModule.html#ac55866c1f4b356915bb5625946af6a21">isEnabled</a> (Promise promise)</td></tr>
<tr class="separator:ac55866c1f4b356915bb5625946af6a21"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4230cff008d036fa956e9d2799e14b0a"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d49/classcom_1_1rusel_1_1RCTBluetoothSerial_1_1RCTBluetoothSerialModule.html#a4230cff008d036fa956e9d2799e14b0a">withDelimiter</a> (String delimiter, Promise promise)</td></tr>
<tr class="separator:a4230cff008d036fa956e9d2799e14b0a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7d21fb550fe4ac4a680c58280e8a71a5"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d49/classcom_1_1rusel_1_1RCTBluetoothSerial_1_1RCTBluetoothSerialModule.html#a7d21fb550fe4ac4a680c58280e8a71a5">list</a> (Promise promise)</td></tr>
<tr class="separator:a7d21fb550fe4ac4a680c58280e8a71a5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1db08128bf9bdb3ea372c168c041ec98"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d49/classcom_1_1rusel_1_1RCTBluetoothSerial_1_1RCTBluetoothSerialModule.html#a1db08128bf9bdb3ea372c168c041ec98">discoverUnpairedDevices</a> (final Promise promise)</td></tr>
<tr class="separator:a1db08128bf9bdb3ea372c168c041ec98"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af99e7b60759c159c1af79533144bf6ed"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d49/classcom_1_1rusel_1_1RCTBluetoothSerial_1_1RCTBluetoothSerialModule.html#af99e7b60759c159c1af79533144bf6ed">cancelDiscovery</a> (final Promise promise)</td></tr>
<tr class="separator:af99e7b60759c159c1af79533144bf6ed"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a49f8e7493f82c107b2d37a85ea10075d"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d49/classcom_1_1rusel_1_1RCTBluetoothSerial_1_1RCTBluetoothSerialModule.html#a49f8e7493f82c107b2d37a85ea10075d">pairDevice</a> (String id, int pin, Promise promise)</td></tr>
<tr class="separator:a49f8e7493f82c107b2d37a85ea10075d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af6b4faaeeca915f47d120bce2b9c0bc6"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d49/classcom_1_1rusel_1_1RCTBluetoothSerial_1_1RCTBluetoothSerialModule.html#af6b4faaeeca915f47d120bce2b9c0bc6">unpairDevice</a> (String id, Promise promise)</td></tr>
<tr class="separator:af6b4faaeeca915f47d120bce2b9c0bc6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a66847eb3047d2d8be7405842f8d6e0ab"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d49/classcom_1_1rusel_1_1RCTBluetoothSerial_1_1RCTBluetoothSerialModule.html#a66847eb3047d2d8be7405842f8d6e0ab">connect</a> (String id, Promise promise)</td></tr>
<tr class="separator:a66847eb3047d2d8be7405842f8d6e0ab"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aec515f3660eef2867fe627b04e9db682"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d49/classcom_1_1rusel_1_1RCTBluetoothSerial_1_1RCTBluetoothSerialModule.html#aec515f3660eef2867fe627b04e9db682">disconnect</a> (Promise promise)</td></tr>
<tr class="separator:aec515f3660eef2867fe627b04e9db682"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaebb4f6b40ef80d418c8753693fa143f"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d49/classcom_1_1rusel_1_1RCTBluetoothSerial_1_1RCTBluetoothSerialModule.html#aaebb4f6b40ef80d418c8753693fa143f">isConnected</a> (Promise promise)</td></tr>
<tr class="separator:aaebb4f6b40ef80d418c8753693fa143f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1651397fdf5de4a780c0bb0a81ea5db4"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d49/classcom_1_1rusel_1_1RCTBluetoothSerial_1_1RCTBluetoothSerialModule.html#a1651397fdf5de4a780c0bb0a81ea5db4">writeToDevice</a> (String message, Promise promise)</td></tr>
<tr class="separator:a1651397fdf5de4a780c0bb0a81ea5db4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0f0d4980b87b1750fe9afa38c9e13a1e"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d49/classcom_1_1rusel_1_1RCTBluetoothSerial_1_1RCTBluetoothSerialModule.html#a0f0d4980b87b1750fe9afa38c9e13a1e">readFromDevice</a> (Promise promise)</td></tr>
<tr class="separator:a0f0d4980b87b1750fe9afa38c9e13a1e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5804e161715c5322ee646a2541d7e8fa"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d49/classcom_1_1rusel_1_1RCTBluetoothSerial_1_1RCTBluetoothSerialModule.html#a5804e161715c5322ee646a2541d7e8fa">readUntilDelimiter</a> (String delimiter, Promise promise)</td></tr>
<tr class="separator:a5804e161715c5322ee646a2541d7e8fa"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9f6549c02b0516a276da2e42b5d5a84b"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d49/classcom_1_1rusel_1_1RCTBluetoothSerial_1_1RCTBluetoothSerialModule.html#a9f6549c02b0516a276da2e42b5d5a84b">clear</a> (Promise promise)</td></tr>
<tr class="separator:a9f6549c02b0516a276da2e42b5d5a84b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afdeed4d2a66cc46be76532aab62b1c89"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d49/classcom_1_1rusel_1_1RCTBluetoothSerial_1_1RCTBluetoothSerialModule.html#afdeed4d2a66cc46be76532aab62b1c89">available</a> (Promise promise)</td></tr>
<tr class="separator:afdeed4d2a66cc46be76532aab62b1c89"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aca7f979fc8eea8abe48ba8a6f5b9774a"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d49/classcom_1_1rusel_1_1RCTBluetoothSerial_1_1RCTBluetoothSerialModule.html#aca7f979fc8eea8abe48ba8a6f5b9774a">setAdapterName</a> (String newName, Promise promise)</td></tr>
<tr class="separator:aca7f979fc8eea8abe48ba8a6f5b9774a"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="afdeed4d2a66cc46be76532aab62b1c89"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afdeed4d2a66cc46be76532aab62b1c89">&#9670;&nbsp;</a></span>available()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void com.rusel.RCTBluetoothSerial.RCTBluetoothSerialModule.available </td>
          <td>(</td>
          <td class="paramtype">Promise&#160;</td>
          <td class="paramname"><em>promise</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Get length of data available to read </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">Promise</td><td>sent to JS code </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="af99e7b60759c159c1af79533144bf6ed"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af99e7b60759c159c1af79533144bf6ed">&#9670;&nbsp;</a></span>cancelDiscovery()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void com.rusel.RCTBluetoothSerial.RCTBluetoothSerialModule.cancelDiscovery </td>
          <td>(</td>
          <td class="paramtype">final Promise&#160;</td>
          <td class="paramname"><em>promise</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Cancel discovery </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">Promise</td><td>sent to JS </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a9f6549c02b0516a276da2e42b5d5a84b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9f6549c02b0516a276da2e42b5d5a84b">&#9670;&nbsp;</a></span>clear()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void com.rusel.RCTBluetoothSerial.RCTBluetoothSerialModule.clear </td>
          <td>(</td>
          <td class="paramtype">Promise&#160;</td>
          <td class="paramname"><em>promise</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Other Clear data in buffer </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">Promise</td><td>sent to JS code </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a66847eb3047d2d8be7405842f8d6e0ab"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a66847eb3047d2d8be7405842f8d6e0ab">&#9670;&nbsp;</a></span>connect()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void com.rusel.RCTBluetoothSerial.RCTBluetoothSerialModule.connect </td>
          <td>(</td>
          <td class="paramtype">String&#160;</td>
          <td class="paramname"><em>id</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">Promise&#160;</td>
          <td class="paramname"><em>promise</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Connection related methods Connect to device by id </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">id</td><td></td></tr>
    <tr><td class="paramname">Promise</td><td>sent to JS code </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a39ca1151a38d1131c552b7e047a60bd6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a39ca1151a38d1131c552b7e047a60bd6">&#9670;&nbsp;</a></span>disable()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void com.rusel.RCTBluetoothSerial.RCTBluetoothSerialModule.disable </td>
          <td>(</td>
          <td class="paramtype">Promise&#160;</td>
          <td class="paramname"><em>promise</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Disable bluetooth </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">Promise</td><td>sent to JS code </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="aec515f3660eef2867fe627b04e9db682"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aec515f3660eef2867fe627b04e9db682">&#9670;&nbsp;</a></span>disconnect()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void com.rusel.RCTBluetoothSerial.RCTBluetoothSerialModule.disconnect </td>
          <td>(</td>
          <td class="paramtype">Promise&#160;</td>
          <td class="paramname"><em>promise</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Disconnect from device </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">Promise</td><td>sent to JS code </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a1db08128bf9bdb3ea372c168c041ec98"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1db08128bf9bdb3ea372c168c041ec98">&#9670;&nbsp;</a></span>discoverUnpairedDevices()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void com.rusel.RCTBluetoothSerial.RCTBluetoothSerialModule.discoverUnpairedDevices </td>
          <td>(</td>
          <td class="paramtype">final Promise&#160;</td>
          <td class="paramname"><em>promise</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Discover unpaired bluetooth devices </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">Promise</td><td>sent to JS </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a2564793fb3acd5aa2016aecaa91a4a66"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2564793fb3acd5aa2016aecaa91a4a66">&#9670;&nbsp;</a></span>enable()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void com.rusel.RCTBluetoothSerial.RCTBluetoothSerialModule.enable </td>
          <td>(</td>
          <td class="paramtype">Promise&#160;</td>
          <td class="paramname"><em>promise</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Enable bluetooth </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">Promise</td><td>sent to JS code </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="aaebb4f6b40ef80d418c8753693fa143f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aaebb4f6b40ef80d418c8753693fa143f">&#9670;&nbsp;</a></span>isConnected()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void com.rusel.RCTBluetoothSerial.RCTBluetoothSerialModule.isConnected </td>
          <td>(</td>
          <td class="paramtype">Promise&#160;</td>
          <td class="paramname"><em>promise</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Check if device is connected </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">Promise</td><td>sent to JS code </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="ac55866c1f4b356915bb5625946af6a21"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac55866c1f4b356915bb5625946af6a21">&#9670;&nbsp;</a></span>isEnabled()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void com.rusel.RCTBluetoothSerial.RCTBluetoothSerialModule.isEnabled </td>
          <td>(</td>
          <td class="paramtype">Promise&#160;</td>
          <td class="paramname"><em>promise</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Check if bluetooth is enabled </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">Promise</td><td>sent to JS </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a7d21fb550fe4ac4a680c58280e8a71a5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7d21fb550fe4ac4a680c58280e8a71a5">&#9670;&nbsp;</a></span>list()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void com.rusel.RCTBluetoothSerial.RCTBluetoothSerialModule.list </td>
          <td>(</td>
          <td class="paramtype">Promise&#160;</td>
          <td class="paramname"><em>promise</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Bluetooth device related methods List paired bluetooth devices </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">Promise</td><td>sent to JS </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a5b28a1aeb26620357cdb751fdd3f5058"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5b28a1aeb26620357cdb751fdd3f5058">&#9670;&nbsp;</a></span>onHostDestroy()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void com.rusel.RCTBluetoothSerial.RCTBluetoothSerialModule.onHostDestroy </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Log when the host destroy </p>

</div>
</div>
<a id="a8ad6f2ef7d1a67ace148270cb288b9f2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8ad6f2ef7d1a67ace148270cb288b9f2">&#9670;&nbsp;</a></span>onHostPause()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void com.rusel.RCTBluetoothSerial.RCTBluetoothSerialModule.onHostPause </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Log when the host pause </p>

</div>
</div>
<a id="ac8c1df0a12fed084c4c3bb5edae6e0a7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac8c1df0a12fed084c4c3bb5edae6e0a7">&#9670;&nbsp;</a></span>onHostResume()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void com.rusel.RCTBluetoothSerial.RCTBluetoothSerialModule.onHostResume </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Log when the host resume </p>

</div>
</div>
<a id="af896b63b16df97f66acf5656834c5e77"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af896b63b16df97f66acf5656834c5e77">&#9670;&nbsp;</a></span>onNewIntent()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void com.rusel.RCTBluetoothSerial.RCTBluetoothSerialModule.onNewIntent </td>
          <td>(</td>
          <td class="paramtype">Intent&#160;</td>
          <td class="paramname"><em>intent</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Log when there is a new Intent </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">intent</td><td></td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a49f8e7493f82c107b2d37a85ea10075d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a49f8e7493f82c107b2d37a85ea10075d">&#9670;&nbsp;</a></span>pairDevice()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void com.rusel.RCTBluetoothSerial.RCTBluetoothSerialModule.pairDevice </td>
          <td>(</td>
          <td class="paramtype">String&#160;</td>
          <td class="paramname"><em>id</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>pin</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">Promise&#160;</td>
          <td class="paramname"><em>promise</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">id</td><td></td></tr>
    <tr><td class="paramname">pin</td><td></td></tr>
    <tr><td class="paramname">Promise</td><td>sent to JS code </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a0f0d4980b87b1750fe9afa38c9e13a1e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0f0d4980b87b1750fe9afa38c9e13a1e">&#9670;&nbsp;</a></span>readFromDevice()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void com.rusel.RCTBluetoothSerial.RCTBluetoothSerialModule.readFromDevice </td>
          <td>(</td>
          <td class="paramtype">Promise&#160;</td>
          <td class="paramname"><em>promise</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Read from device Read from device over serial port </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">Promise</td><td>sent to JS code </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a5804e161715c5322ee646a2541d7e8fa"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5804e161715c5322ee646a2541d7e8fa">&#9670;&nbsp;</a></span>readUntilDelimiter()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void com.rusel.RCTBluetoothSerial.RCTBluetoothSerialModule.readUntilDelimiter </td>
          <td>(</td>
          <td class="paramtype">String&#160;</td>
          <td class="paramname"><em>delimiter</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">Promise&#160;</td>
          <td class="paramname"><em>promise</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">delimiter</td><td></td></tr>
    <tr><td class="paramname">Promise</td><td>sent to JS code </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a0c6bdd5f1224881e9d3c1ed2a2f8ca4b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0c6bdd5f1224881e9d3c1ed2a2f8ca4b">&#9670;&nbsp;</a></span>requestEnable()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void com.rusel.RCTBluetoothSerial.RCTBluetoothSerialModule.requestEnable </td>
          <td>(</td>
          <td class="paramtype">Promise&#160;</td>
          <td class="paramname"><em>promise</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Methods Available from JS Bluetooth state related methods Request user to enable bluetooth </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">Promise</td><td>sent to JS code </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="aca7f979fc8eea8abe48ba8a6f5b9774a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aca7f979fc8eea8abe48ba8a6f5b9774a">&#9670;&nbsp;</a></span>setAdapterName()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void com.rusel.RCTBluetoothSerial.RCTBluetoothSerialModule.setAdapterName </td>
          <td>(</td>
          <td class="paramtype">String&#160;</td>
          <td class="paramname"><em>newName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">Promise&#160;</td>
          <td class="paramname"><em>promise</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Set bluetooth adapter name </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">newName</td><td></td></tr>
    <tr><td class="paramname">Promise</td><td>sent to JS code </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="af6b4faaeeca915f47d120bce2b9c0bc6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af6b4faaeeca915f47d120bce2b9c0bc6">&#9670;&nbsp;</a></span>unpairDevice()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void com.rusel.RCTBluetoothSerial.RCTBluetoothSerialModule.unpairDevice </td>
          <td>(</td>
          <td class="paramtype">String&#160;</td>
          <td class="paramname"><em>id</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">Promise&#160;</td>
          <td class="paramname"><em>promise</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Unpair device </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">id</td><td></td></tr>
    <tr><td class="paramname">Promise</td><td>sent to JS code </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a4230cff008d036fa956e9d2799e14b0a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4230cff008d036fa956e9d2799e14b0a">&#9670;&nbsp;</a></span>withDelimiter()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void com.rusel.RCTBluetoothSerial.RCTBluetoothSerialModule.withDelimiter </td>
          <td>(</td>
          <td class="paramtype">String&#160;</td>
          <td class="paramname"><em>delimiter</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">Promise&#160;</td>
          <td class="paramname"><em>promise</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Set the delimiter for the Bluetooth messages </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">delimiter</td><td>String the delimiter </td></tr>
    <tr><td class="paramname">promise</td><td>Promise sent to JS </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a1651397fdf5de4a780c0bb0a81ea5db4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1651397fdf5de4a780c0bb0a81ea5db4">&#9670;&nbsp;</a></span>writeToDevice()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void com.rusel.RCTBluetoothSerial.RCTBluetoothSerialModule.writeToDevice </td>
          <td>(</td>
          <td class="paramtype">String&#160;</td>
          <td class="paramname"><em>message</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">Promise&#160;</td>
          <td class="paramname"><em>promise</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Write to device Write to device over serial port </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">message</td><td></td></tr>
    <tr><td class="paramname">Promise</td><td>sent to JS code </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>/home/romain/Téléchargements/react-native-bluetooth-serial/android/src/main/java/com/rusel/RCTBluetoothSerial/RCTBluetoothSerialModule.java</li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="http://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.8.20
</small></address>
</body>
</html>
